[rspec-devel] Rails 2.0 RC1

David Chelimsky dchelimsky at gmail.com
Sun Nov 18 10:05:52 EST 2007


On Nov 14, 2007 10:51 PM, Tim Morgan <tmorgan99 at gmail.com> wrote:
> Hello.
> I found I had to make the following patches to account for differences
> in Rails 2.0.0 RC1:
>
> $  svn diff vendor/plugins/rspec_on_rails/
> Index: vendor/plugins/rspec_on_rails/lib/spec/rails/dsl/behaviour/helper.rb
> ===================================================================
> --- vendor/plugins/rspec_on_rails/lib/spec/rails/dsl/behaviour/helper.rb
>       (revision 2885)
> +++ vendor/plugins/rspec_on_rails/lib/spec/rails/dsl/behaviour/helper.rb
>       (working copy)
> @@ -27,8 +27,8 @@
>            include ActionView::Helpers::FormHelper
>            include ActionView::Helpers::FormOptionsHelper
>            include ActionView::Helpers::FormTagHelper
> -          include ActionView::Helpers::JavaScriptHelper
> -          include ActionView::Helpers::JavaScriptMacrosHelper
> +          include ActionView::Helpers::JavaScriptHelper rescue nil
> +          include ActionView::Helpers::JavaScriptMacrosHelper rescue nil
>            include ActionView::Helpers::NumberHelper
>            include ActionView::Helpers::PaginationHelper rescue nil
> #removed after 1.2.3
>            include ActionView::Helpers::PrototypeHelper
> Index: vendor/plugins/rspec_on_rails/lib/spec/rails.rb
> ===================================================================
> --- vendor/plugins/rspec_on_rails/lib/spec/rails.rb     (revision 2885)
> +++ vendor/plugins/rspec_on_rails/lib/spec/rails.rb     (working copy)
> @@ -17,7 +17,8 @@
>  require File.expand_path("#{dir}/rails/extensions")
>  require File.expand_path("#{dir}/rails/matchers")
>
> -Test::Unit.run = true
> +require 'test/test_helper'
> +  Test::Unit.run = true
>
>  module Spec
>    # = Spec::Rails
>
>
> ie. some ActionView::Helpers are no longer available?
> and test/test_helper is not loaded.
>
> Hope it helps!

Thanks - but that code is long gone from trunk. If you're using
2.0.0-RC1 you should probably be using trunk rev 2880 or later (best
to get that latest).

Cheers,
David


More information about the rspec-devel mailing list